MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023325Community[OCCT] OCCT:Visualizationpublic2012-07-18 14:372012-11-16 13:17
ReporterPawel 
Assigned ToPawel 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023325: Always getting the transparency of the back face
DescriptionIn Prs3d_ShadingAspect.cxx in lines 219-225, the method Prs3d_ShadingAspect::Transparency gets always the transparency of the back face.

After looking at the methods Material and Color I assume the transparency of the back face should be returned only if the the method call is made with the Aspect_TOFM_BACK_SIDE parameter explicitly.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0021049)
Pawel (developer)
2012-07-18 14:57

Corresponding git branch pushed. Please review.
(0021078)
abv (manager)
2012-07-19 19:46

No remarks, please test
(0021133)
apn (administrator)
2012-07-23 19:25

Dear BugMaster,
The workbenches
KAS:dev:mkv-23325-occt (GIT branch CR23325)
KAS:dev:mkv-23325-products (GIT master)
were compiled on Linux platform and tested.

Regression:
Not detected

Improvements:
Not detected

Testing case:
Not needed

See results in /QADisk/occttests/results/KAS/dev/mkv-23325-products_20072012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120706-opt_06072012/lin
See test cases in /QADisk/occttests/tests/ED

- Related Changesets
occt: master e2570917
Timestamp: 2012-07-18 10:53:47
Author: Pawel
Details ] Diff ]
0023325: Always getting the transparency of the back face

Added the 'breaks' in the affected 'switch' statement.
mod - src/Prs3d/Prs3d_ShadingAspect.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-07-18 14:37 Pawel New Issue
2012-07-18 14:37 Pawel Assigned To => Pawel
2012-07-18 14:57 Pawel Note Added: 0021049
2012-07-18 14:57 Pawel Assigned To Pawel => bugmaster
2012-07-18 14:57 Pawel Status new => resolved
2012-07-19 19:46 abv Note Added: 0021078
2012-07-19 19:46 abv Status resolved => reviewed
2012-07-20 11:42 mkv Assigned To bugmaster => mkv
2012-07-23 19:25 apn Note Added: 0021133
2012-07-23 19:26 apn Test case number => Not needed
2012-07-23 19:26 apn Assigned To mkv => bugmaster
2012-07-23 19:26 apn Status reviewed => tested
2012-07-30 16:31 Pawel Changeset attached => occt master e2570917
2012-07-30 16:33 Pawel Assigned To bugmaster => Pawel
2012-07-30 16:33 Pawel Status tested => verified
2012-07-30 16:33 Pawel Resolution open => fixed
2012-11-16 13:14 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:17 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker